Subject: 30.2; window-resize-symbollwise

From: Yurii Pytomets <[email-masked]>
Date: Sun, 31 Aug 2025 05:24:36 +0300

Hello!
It's a UX feature request.

There's a window-resize-pixelwise, but no window-resize-symbollwise:
what I want, as a user, is to have a similar user experience to the
-nw version of Emacs under graphical environment.

Currently even with the window-resize-pixelwise nil, and with the
pixel-scroll-precision-mode nil, there's a cases when during window
resizing, modeline appears in-the-middle of the character line or
jumping around inconsistently.  What I expect is a smooth UX where
each windows has a whole number of rows and columns.  An example of
such a wrong user case attached.

-- 
With best regards,
Yuriy Pitomets